VantPay API Documentation
API Docs
API Docs
  1. Virtual Account
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Virtual Account

get-static-virtual-accounts

GET
/api/v1/virtual-accounts/static
This endpoint is used to retrieve the list of static virtual accounts created by a merchant.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://digitvirtual-dev.digitvant.com/api/v1/virtual-accounts/static?BVN&VirtualAccount&CollectionAccount&MobileNumber&AccountStatus&From&To&PageSize' \
--header 'accept: */*'
Response Response Example
{}
Modified at 2026-02-19 07:16:23
Previous
create-dynamic-account
Next
get-wallet-balance
Built with